Cyberduck Mountain Duck CLI

#10956 closed enhancement (fixed)

Interoperability with path-style requests

Reported by: duck133 Owned by: dkocher
Priority: normal Milestone: 7.4
Component: s3 Version: 7.2.4
Severity: normal Keywords: s3
Cc: Architecture: Intel
Platform: macOS 10.15

Description

Hey,

in version 7.2.0, you removed the support for path style URL generation for the S3 protocol: "Deprecated path-style request usage for (AWS GovCloud) (#10824)"

I am using CyberDuck to connect to en enterprise S3 cluster, that still and only uses path-style. Would there maybe be the option to bring the support back?

Would be fine for me, if this is then an additional checkbox in the connection settings to use path style.

But currently I am forced to use an old version no Cyberduck and repeatedly ask my, why they can't connect with their (newer) version of CyberDuck.

Thanks a lot.

Change History (10)

comment:1 Changed on Jan 22, 2020 at 1:55:06 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jan 22, 2020 at 1:56:30 PM by dkocher

  • Milestone set to 8.0
  • Summary changed from S3 Bring back path style support to Interoperability with path-style requests

comment:3 Changed on Jan 22, 2020 at 1:56:43 PM by dkocher

Also in #10888.

comment:4 Changed on Jan 22, 2020 at 2:41:54 PM by dkocher

Is this instance publicly reachable over the Internet to reproduce the issue?

comment:5 Changed on Jan 22, 2020 at 2:42:17 PM by dkocher

We have implemented a fallback in r48332 if resolving the DNS name for the bucket fails.

comment:6 Changed on Jan 22, 2020 at 2:42:52 PM by dkocher

Also as of r48257 we use path-style requests when the hostname is an IP address.

comment:7 Changed on Jan 27, 2020 at 9:27:55 AM by duck133

The instance is only partly reachable from the internet, sadly.

It is an instance of DELL ECS, which besides its enterprise hardware, also has a free to use community edition: https://github.com/EMCECS/ECS-CommunityEdition/releases

Hostname would be something like: namespace.mydomain.com and to not get SSL-Certificate problems, hostnames can't look like bucket.namspace.mydomain.com as it would require a *.*.mydomain.com SSL-Cert. Therefore this instance sticks to namepspace.mydomain.com/bucket

But if you need me to do anything / send any error messages, that would help you to identify the issue, I can gladly do.

comment:8 Changed on Apr 15, 2020 at 3:49:56 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:9 Changed on May 22, 2020 at 9:12:42 AM by dkocher

  • Milestone changed from 8.0 to 7.4

comment:10 Changed on Jun 16, 2020 at 12:19:59 AM by tsammut

Hello. Thanks for sharing such a great tool!

Unfortunately, some environments use a wildcard DNS entry that will always succeed, preventing Cyberduck from falling-back to path-style access. Would it be possible to have a configuration setting (or similar) that disables virtual host style access completely, please?

Thanks!

Note: See TracTickets for help on using tickets.
swiss made software